Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::viewer_in_use Class Reference

Exception thrown when attempting to associate a `viewer` with a `browser` when the `viewer` is already associated with a `browser`. More...

`#include <openvrml/browser.h>`

Inherits std::invalid_argument.

List of all members.

## Public Member Functions

| viewer_in_use ()
| Construct.
virtual | ~viewer_in_use () throw ()
| Destroy.

## Detailed Description

Exception thrown when attempting to associate a `viewer` with a `browser` when the `viewer` is already associated with a `browser`.

## Constructor & Destructor Documentation

openvrml::viewer_in_use::viewer_in_use | ( |  | ) |

Construct.

openvrml::viewer_in_use::~viewer_in_use | ( |  | ) | throw ()`[virtual]`

Destroy.